package OnlineShop.domain;

public class Produkt {
	private String name;
	private String beschreibung;
	private double preis;
	private int gewicht;
	private int bestand;
	
	public Produkt(String name, String beschreibung, double preis, int gewicht, int bestand) {

		this.name = name;
		this.beschreibung = beschreibung;
		this.preis = preis;
		this.gewicht = gewicht;
		this.bestand = bestand;
	}

	public String getName() {
		return name;
	}

	public String getBeschreibung() {
		return beschreibung;
	}

	public double getPreis() {
		return preis;
	}

	public int getGewicht() {
		return gewicht;
	}

	public int getBestand() {
		return bestand;
	}
	
	public void setBestand(int bestand) {
		this.bestand -= bestand;
	}

	
	public String print() {
		 return String.format("name=%s, beschreibung=%s, preis=%.2f, gewicht=%d, bestand=%d",
	                name, beschreibung, preis, gewicht, bestand);
	}
	
	public String printImWarenkorb() {
		 return String.format("name=%s, beschreibung=%s, preis=%.2f, gewicht=%d",
	                name, beschreibung, preis, gewicht);
	}

}